"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.checkPermissionForExternalStorage = checkPermissionForExternalStorage;
exports.doCheckPermissionForExternalStorage = doCheckPermissionForExternalStorage;
exports.doRequestPermissionForExternalStorage = doRequestPermissionForExternalStorage;
exports.requestPermissionForExternalStorage = requestPermissionForExternalStorage;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-send-intents' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go. This is plain old React Native\n';
const SendIntents = _reactNative.NativeModules.SendIntents ? _reactNative.NativeModules.SendIntents : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function doCheckPermissionForExternalStorage() {
  return SendIntents.checkPermissionForExternalStorage();
}
function doRequestPermissionForExternalStorage(packageName) {
  return SendIntents.requestPermissionForExternalStorage(packageName);
}
function checkPermissionForExternalStorage() {
  return doCheckPermissionForExternalStorage();
}
function requestPermissionForExternalStorage(packageName) {
  return doRequestPermissionForExternalStorage(packageName);
}
//# sourceMappingURL=index.js.map